# Remove subscription pause

This method provides a way to delete the scheduled pause, reverting the subscription to its previous active state or as specified.

Endpoint: DELETE /subscriptions/{subscription_id}/pause-schedule
Version: 1.0.0
Security: merchant, signature

## Security:

  - `merchant` (unknown)
    apiKey in header merchant

  - `signature` (unknown)
    apiKey in header signature

## Path parameters:

  - `subscription_id` (string, required)
    Unique subscription identifier.

## Header parameters:

  - `merchant` (string, required)

  - `signature` (string, required)

## Response 200:

  - `200` (unknown)
    Pause schedule has been removed for subscription

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique subscription identifier.
    Example: bd43b415-4321-6275-c137-b365462f9645

  - `status` (string, required)
    Current subscription status.
- `active` - the subscription is currently ongoing and charges are recurring
- `paused` - the subscription is temporarily on hold and there are no charges
    Enum: "active", "paused"

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code.
    Example: 2.01

  - `error.message` (string, required)
    Error message.
    Example: Validation error

  - `error.constraints` (object)
    Map of constraints.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code indicating the specific authorization failure.
    Example: 1.01

  - `error.message` (string, required)
    Descriptive message providing more details about the authorization failure.
    Example: Authorization failed

## Response 403:

  - `403` (unknown)
    Access denied

## Response 403 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code indicating that access to the service is denied.
    Example: 1.02

  - `error.message` (string, required)
    Message informing that the service is not allowed for the account.
    Example: Access denied

## Response 404:

  - `404` (unknown)
    Entity not found

## Response 404 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code.
    Example: 2.01

  - `error.message` (string, required)
    Error message.
    Example: {entityName} not found with id: {entityId}

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code indicating that while the request is well-formed, it cannot be processed due to conflicting or incorrect data.
    Example: 2.01

  - `error.message` (string, required)
    Descriptive message providing more details about the processing failure.
    Example: Unprocessable entity

